templates/account/signup.html
{% extends "index_auth.html" %}

{% block base_auth %}
	<div class="user-login">
		<div class="user-login__header">
			<h2>Регистрация</h2>
		</div>
        <div class="fieldset__item">
		  <div class="msg ta_center p_s">
            <p>У вас уже есть учетная запись? Тогда пожалуйста <a href="{{ login_url }}">войдите</a>.</p>
		  </div>
        </div>
		<div class="user-login__body">
			<form class="user-login__form" id="signup_form" method="post" action="{% url 'account_signup' %}">{% csrf_token %}
				<div class="fieldset fieldset_login">
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Фамилия</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.last_name.name }}" value="{{ form.last_name.value|default:''}}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Имя</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.first_name.name }}" value="{{ form.first_name.value|default:''}}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Отчество</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.patronymic.name }}" value="{{ form.patronymic.value|default:''}}">
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Адрес электронной почты</label>
							<div class="field__control control control_default control_m control_center">
								<input type="email" name="{{ form.email.name }}" value="{{ form.email.value|default:''}}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Телефон</label>
							<div class="field__control control control_default control_m control_center">
								<input id="id_phone" type="tel" name="{{ form.phone.name }}" value="{{ form.phone.value|default:'' }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Пароль</label>
							<div class="field__control control control_default control_m control_center">
								<input type="password" name="{{ form.password1.name }}"  value="{{ form.password1.value|default:'' }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Подтверждение пароля</label>
							<div class="field__control control control_default control_m control_center">
								<input type="password" name="{{ form.password2.name }}"  value="{{ form.password2.value|default:'' }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<label class="check check_m check_default">
							<input required="" type="checkbox">
							<div class="check__icon"></div>
							<div class="check__content">
							<div class="check__title fs_xs">Даю согласие на обработку персональных данных.</div>
							</div>
						</label>
					</div>
						
					<div class="fieldset__item">
						<button class="form__btn btn btn_primary btn_m btn_block">
							<div class="btn__grid">
								<div class="btn__title">Зарегистрироваться</div>
							</div>
						</button>
					</div>
					{% if form.errors %}
					<div class="fieldset__item">
						<div class="msg msg_error ta_center p_s">
							{% for field in form %}
							  <div class="fs_s">{{ field.errors }}</div>
							{% endfor %}
						</div>
					</div>
					{% endif %}
                    <div class="fieldset__item">
                  <div class="user-login__links"><a class="link link_default" href="/">авторизоваться</a></div>
                </div>
				</div>
			</form>
		</div>
	</div>
{% endblock base_auth %}

templates/gulp/markup/pages/signup.pug
extends ../components/layout/layout.pug
include ../components/blocks/diagnosis/diagnosis.pug
include ../components/blocks/data-table/data-table.pug


block vars
    - var htmlclasses = "html_index"
    - var pageclasses = "page_main"

block metaog

block metaseo
    +headMetaSeo(head.main)

block append page
    header.page__header
        h1 Автоподбор.рф
    section.page__body
        .user-login
            .user-login__header
                h2 Регистрация
            .user-login__body
                form.user-login__form
                    .fieldset.fieldset_login
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s фамилия
                                .field__control.control.control_default.control_m
                                    input(type="text" required)
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s имя
                                .field__control.control.control_default.control_m
                                    input(type="text" required)
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s отчество
                                .field__control.control.control_default.control_m
                                    input(type="text")
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s e-mail
                                .field__control.control.control_default.control_m
                                    input(type="text")
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s телефон
                                .field__control.control.control_default.control_m
                                    input(type="text" required)
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s пароль
                                .field__control.control.control_default.control_m
                                    input(type="password" required)
                        .fieldset__item
                            .field
                                label.field__label.label.label_float.label_s повторите пароль
                                .field__control.control.control_default.control_m
                                    input(type="password" required)
                        .fieldset__item
                            .field
                                label.check.check_m.check_default
                                    input(type="checkbox" required)
                                    .check__icon
                                    .check__content
                                        .check__title.fs_xs даю согласие на обработку персональных данных бла бла бла
                        .fieldset__item
                            button.form__btn.btn.btn_primary.btn_m.btn_block
                                .btn__grid
                                    .btn__title Зарегистрироваться
                        .fieldset__item
                            .msg.msg_error.ta_center.p_s
                                .fs_s Сообщение об ошибке если пытаются зарегаться на номер который уже есть в базе либо паролине совпадают и не соотвествуют требованиям.
                        .fieldset__item
                            .user-login__links
                                a.link.link_default(href="index.html") авторизоваться
        .box.box_s.msg.msg_success.p_m
            .box.box_card.ta_center
                h3 Вы зарегистрированы!
                .fs.mt_s На указанный вами номер придет подтверждения регистраци бла бла бла
                a.btn.btn_primary.btn_m.btn_inline.mt_s
                    .btn__title авторизоваться
    footer.page__footer
        a.btn.btn_default.btn_inline.btn_s
            .btn__title Служба поддержки
        p.fs_xs.mt_s © Автоподбор.рф 2011-2017. Все права защищены
